1. Credit Card Issuer
TrustPay
en
  • en
  • zh
  • Integration Guide
  • Payment Gateway
    • Payment Callback Specification
    • Enums
    • Risk Control – Merchant Integration
    • C21 Suport Regions
      • TrustPay Supported Billing Countries and US/Canada Regions
    • Card Direct Payin
      POST
    • Cashier Payin
      POST
    • Payment Callback
      POST
    • Balance
      POST
    • Order Query
      POST
    • Order Refund
      POST
    • Fee Query
      POST
  • Credit Card Issuer
    • Available Card
      POST
    • Open Card
      POST
    • Open/Recharge Card Callback
      POST
    • Get Card Detail
      POST
    • Card Recharge
      POST
    • Order List
      POST
    • Card List
      POST
    • Transaction List
      POST
    • Fee Query
      POST
  • Physical Card Issuer
    • Create Cardholder
      POST
    • List Cardholders
      POST
    • Assign Physical Cards
      POST
    • List Assigned Physical Cards
      POST
    • Query Card Balance
      POST
    • Query Card Transactions
      POST
    • Query Account
      POST
    • Card Charge
      POST
  • Schemas
    • VCardDetail
    • VOrderDetail
  1. Credit Card Issuer

Card List

Developing
POST
/v3/vcard/cards

Request

Body Params application/jsonRequired

Examples

Responses

🟒200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.trustpay.money/v3/vcard/cards' \
--header 'Content-Type: application/json' \
--data '{
    "page": 1,
    "page_size": 20,
    "sign": ""
}'
Response Response Example
{
    "code": 880001,
    "message": "success",
    "data": {
        "items": [
            {
                "card_id": 12,
                "address": "50185 E Front Street",
                "card_bin": "22941",
                "card_cvv": "234",
                "card_name": "Sedan",
                "card_number": "41111111111111",
                "city": "Anthonystad",
                "country_code": "TW",
                "currency": "USD",
                "expiry_month": 11,
                "expiry_year": 2025,
                "first_name": "Estell",
                "Last_name": "Balistreri",
                "state": "Illinois",
                "zipcode": "621141",
                "balance": 18.99
            }
        ],
        "total": 1
    }
}
Modified atΒ 2026-03-17 14:40:09
Previous
Order List
Next
Transaction List
Built with